Bug 772831 - SAM webUI displays the registered systems' IP as "Unknown" or blank.
SAM webUI displays the registered systems' IP as "Unknown" or blank.
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
medium Severity medium
: beta
: 1.0
Assigned To: Tom McKay
SAM QE List
: TestBlocker, Triaged
Depends On:
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-01-10 00:02 EST by Hui Wang
Modified: 2012-08-22 09:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 09:27:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhev-h info on SAM (192.42 KB, image/png)
2012-01-10 00:04 EST, Hui Wang
no flags Details
SAM UI displays IPaddress as unknown for registered system fixed (165.08 KB, image/png)
2012-05-04 03:05 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Hui Wang 2012-01-10 00:02:13 EST
description:

After RHEV-H registering to SAM ,the SAM display the RHEV-H's IP as "Unknown"

Version-Release number of selected component (if applicable):
Rhev-h-5.8-snapshot3.0
virt-who-0.5-3.el5
subscription-manager-0.98.10-1.el5
subscription-manager-0.98.10-1.el5
katello-glue-candlepin-0.1.165-2.el6.noarch
katello-trusted-ssl-cert-1.0-1.noarch
katello-configure-0.1.49-2.el6.noarch
katello-headpin-all-0.1.122-2.el6.noarch
katello-cli-common-0.1.32-2.el6.noarch
katello-certs-tools-1.0.1-2.el6.noarch
katello-headpin-0.1.122-2.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-headpin-0.1.13-2.el6.noarch
katello-httpd-ssl-key-pair-1.0-1.noarch
katello-common-0.1.165-2.el6.noarch
candlepin-0.5.8-1.el6.noarch
candlepin-tomcat6-0.5.8-1.el6.noarch
thumbslug-0.0.21-1.el6.noarch

How reproducible:
always

Steps to Reproduce:

1. prepared one rhev-h-5.8-snapshot3.0 host, and register to SAM
# subscription-manager register --org=ACME_Corporation
Username: admin
Password: 
The system has been registered with id: 9acc7e52-3b2d-4520-8cca-cf5641108a44 

2. Check the infos of rhev-h on SAM
See the attachment

Actual results:
SAM displays the RHEV-H's IP as "Unknown".

Expected results:
SAM displays the RHEV-H's IP like "10.66.72.164".

Additional info:

Check the facts of the RHEV-H:
[root@wanghui02 ~]# subscription-manager facts --list
cpu.core(s)_per_socket: 4
cpu.cpu(s): 4
cpu.cpu_socket(s): 1
distribution.id: 20120105.0
distribution.name: Red Hat Enterprise Virtualization Hypervisor
distribution.version: 5.8
dmi.baseboard.manufacturer: Hewlett-Packard
dmi.baseboard.product_name: 3029h
dmi.baseboard.serial_number: JPA84101RK
dmi.baseboard.version: Not Specified
dmi.bios.address: 0xe0000
dmi.bios.bios_revision: 3.4
dmi.bios.relase_date: 02/26/2009
dmi.bios.rom_size: 1024 KB
dmi.bios.runtime_size: 128 KB
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786F6 v03.04
dmi.chassis.asset_tag: Unknown
dmi.chassis.boot-up_state: Safe
dmi.chassis.lock: Not Present
dmi.chassis.manufacturer: Hewlett-Packard
dmi.chassis.power_supply_state: Safe
dmi.chassis.security_status: Unknown
dmi.chassis.serial_number: JPA84101RK
dmi.chassis.thermal_state: Safe
dmi.chassis.type: Mini Tower
dmi.chassis.version: Not Specified
dmi.connector.external_connector_type: PS/2
dmi.connector.external_reference_designator: MOUSE
dmi.connector.internal_connector_type: None
dmi.connector.internal_reference_designator: Not Specified
dmi.connector.port_type: Mouse Port
dmi.memory.array_handle: 0x0030
dmi.memory.assettag: Not Specified
dmi.memory.bank_locator: Not Specified
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: None
dmi.memory.error_information_handle: Not Provided
dmi.memory.form_factor: DIMM
dmi.memory.location: System Board Or Motherboard
dmi.memory.locator: XMM1
dmi.memory.manufacturer: JEDEC ID:AD 00 00 00 00 00 00 00
dmi.memory.maximum_capacity: 8 GB
dmi.memory.part_number: HYMP125U64CP8-S6
dmi.memory.serial_number: 41B9805E
dmi.memory.size: 2048 MB
dmi.memory.speed: 800 MHz (1.2ns)
dmi.memory.total_width: 64 bit
dmi.memory.type: DDR2
dmi.memory.use: System Memory
dmi.processor.asset_tag: Not Specified
dmi.processor.family: Phenom X4
dmi.processor.l1_cache_handle: 0x0006
dmi.processor.l2_cache_handle: 0x0007
dmi.processor.l3_cache_handle: 0x0008
dmi.processor.part_number: Not Specified
dmi.processor.serial_number: Not Specified
dmi.processor.socket_designation: XU1 PROCESSOR
dmi.processor.status: Populated:Enabled
dmi.processor.type: Central Processor
dmi.processor.upgrade: Unknown
dmi.processor.version: AMD Phenom(tm) 9600B Quad-Core Processor
dmi.processor.voltage: 1.5 V
dmi.slot.current_usage: Available
dmi.slot.designation: PCI EXPRESS x16 SLOT (PCIEx16)
dmi.slot.slotid: 1
dmi.slot.slotlength: Long
dmi.slot.type:slotbuswidth: x16
dmi.slot.type:slottype: PCI Express
dmi.system.family: 103C_53307F
dmi.system.manufacturer: Hewlett-Packard
dmi.system.product_name: Unknown
dmi.system.serial_number: JPA84101RK
dmi.system.sku_number: Unknown
dmi.system.status: No errors detected
dmi.system.uuid: de0e3549-ed2b-de11-bbd8-85393ada0021
dmi.system.version: Unknown
dmi.system.wake-up_type: Power Switch
memory.memtotal: 7903296
memory.swaptotal: 8081400
net.interface.bond0.broadcast: Unknown
net.interface.bond0.hwaddr: 00:00:00:00:00:00
net.interface.bond0.ipaddr: Unknown
net.interface.bond0.netmask: Unknown
net.interface.bond1.broadcast: Unknown
net.interface.bond1.hwaddr: 00:00:00:00:00:00
net.interface.bond1.ipaddr: Unknown
net.interface.bond1.netmask: Unknown
net.interface.bond2.broadcast: Unknown
net.interface.bond2.hwaddr: 00:00:00:00:00:00
net.interface.bond2.ipaddr: Unknown
net.interface.bond2.netmask: Unknown
net.interface.bond3.broadcast: Unknown
net.interface.bond3.hwaddr: 00:00:00:00:00:00
net.interface.bond3.ipaddr: Unknown
net.interface.bond3.netmask: Unknown
net.interface.bond4.broadcast: Unknown
net.interface.bond4.hwaddr: 00:00:00:00:00:00
net.interface.bond4.ipaddr: Unknown
net.interface.bond4.netmask: Unknown
net.interface.eth0.broadcast: Unknown
net.interface.eth0.hwaddr: 00:21:85:39:3a:da
net.interface.eth0.ipaddr: Unknown
net.interface.eth0.netmask: Unknown
net.interface.lo.broadcast: 0.0.0.0
net.interface.lo.hwaddr: 00:00:00:00:00:00
net.interface.lo.ipaddr: 127.0.0.1
net.interface.lo.netmask: 255.0.0.0
net.interface.rhevm.broadcast: 10.66.73.255
net.interface.rhevm.hwaddr: 00:21:85:39:3a:da
net.interface.rhevm.ipaddr: 10.66.72.164
^^^^^^^^^^^^^^^^^^^^^^^^^^^^The rhev-h's ip
net.interface.rhevm.netmask: 255.255.254.0
net.interface.virtio_10_1.broadcast: Unknown
net.interface.virtio_10_1.hwaddr: fe:1a:4a:a8:7a:00
net.interface.virtio_10_1.ipaddr: Unknown
net.interface.virtio_10_1.netmask: Unknown
net.interface.virtio_11_1.broadcast: Unknown
net.interface.virtio_11_1.hwaddr: fe:1a:4a:a8:7a:01
net.interface.virtio_11_1.ipaddr: Unknown
net.interface.virtio_11_1.netmask: Unknown
network.hostname: wanghui02
network.ipaddr: 127.0.0.1
system.entitlements_valid: valid
system.name: wanghui02
system.uuid: 9acc7e52-3b2d-4520-8cca-cf5641108a44
uname.machine: x86_64
uname.nodename: wanghui02
uname.release: 2.6.18-303.el5
uname.sysname: Linux
uname.version: #1 SMP Tue Jan 3 16:42:12 EST 2012
virt.host_type: Not Applicable
virt.is_guest: False
Comment 1 Hui Wang 2012-01-10 00:04:11 EST
Created attachment 551758 [details]
rhev-h info on SAM
Comment 3 Tom McKay 2012-03-05 10:19:42 EST
Notes:

> So you're saying that in this case the 'eth' interface is not the
> correct one to use, but rather a different one.
>
> Katello chose the IP to display as the first 'eth.*ipaddr' found
> (so eth0 which is Unknown). There is another fact, network.ipaddr,
> would that be the more accurate fact to use?

That fact name has actually changed to "network.ipv4_address" with the
addition of a patch I made to add IPv6 facts.

> Are the ipv4_address and ipv6_address facts based upon a specific sub-mgr or candlepin version?

Yes, version 0.99.6+ of subscription-manager.
Comment 4 Hui Wang 2012-03-20 04:42:08 EDT
The issuse not only exists on rhev-h, but still exists on xen, rhel6.3, and ESX.
About rhev-h and xen those have been registered to sam, are displaying IP info as "Unknown". And rhel6.3 and ESX those have been registered to sam, are displaying IP info as blank. Pls see the attachment.

Which fact is the katello catches for system IP display?



Add info:

On rhel6.3(version:subscription-manager-0.99.9-1.el6.x86_64):

[root@localhost ~]# subscription-manager facts --list | grep net.interface.eth0.ipaddr:
[root@localhost ~]# subscription-manager facts --list | grep network.ipv4_address
network.ipv4_address: 127.0.0.1

[root@localhost ~]# subscription-manager facts --list | grep net.interface
net.interface.eth0.ipv4_address: 10.66.6.208
net.interface.eth0.ipv4_broadcast: 10.66.7.255
net.interface.eth0.ipv4_netmask: 22
net.interface.eth0.ipv6_address.link: fe80::4637:e6ff:fe6a:7e9f
net.interface.eth0.ipv6_netmask.link: 64
net.interface.eth0.mac_address: 44:37:E6:6A:7E:9F
net.interface.lo.ipv4_address: 127.0.0.1
net.interface.lo.ipv4_broadcast: Unknown
net.interface.lo.ipv4_netmask: 8
net.interface.lo.ipv6_address.host: ::1
net.interface.lo.ipv6_netmask.host: 128
net.interface.lo.mac_address: 00:00:00:00:00:00
net.interface.virbr0-nic.ipv4_address: Unknown
net.interface.virbr0-nic.ipv4_broadcast: Unknown
net.interface.virbr0-nic.ipv4_netmask: Unknown
net.interface.virbr0-nic.mac_address: 52:54:00:38:C3:2E
net.interface.virbr0.ipv4_address: 192.168.122.1
net.interface.virbr0.ipv4_broadcast: 192.168.122.255
net.interface.virbr0.ipv4_netmask: 24
net.interface.virbr0.mac_address: 52:54:00:38:C3:2E
net.interface.vnet0.ipv4_address: Unknown
net.interface.vnet0.ipv4_broadcast: Unknown
net.interface.vnet0.ipv4_netmask: Unknown
net.interface.vnet0.ipv6_address.link: fe80::fc54:ff:fe74:3b9f
net.interface.vnet0.ipv6_netmask.link: 64
net.interface.vnet0.mac_address: FE:54:00:74:3B:9F


On rhev-h(version:subscription-manager-0.98.14-1.el5):

[root@khong01 ca]# subscription-manager facts --list | grep Unk
dmi.chassis.security_status: Unknown
dmi.processor.upgrade: Unknown
dmi.system.version: Unknown
net.interface.bond0.broadcast: Unknown
net.interface.bond0.ipaddr: Unknown
net.interface.bond0.netmask: Unknown
net.interface.bond1.broadcast: Unknown
net.interface.bond1.ipaddr: Unknown
net.interface.bond1.netmask: Unknown
net.interface.bond2.broadcast: Unknown
net.interface.bond2.ipaddr: Unknown
net.interface.bond2.netmask: Unknown
net.interface.bond3.broadcast: Unknown
net.interface.bond3.ipaddr: Unknown
net.interface.bond3.netmask: Unknown
net.interface.bond4.broadcast: Unknown
net.interface.bond4.ipaddr: Unknown
net.interface.bond4.netmask: Unknown
net.interface.breth0.broadcast: Unknown
net.interface.breth0.ipaddr: Unknown
net.interface.breth0.netmask: Unknown
net.interface.eth0.broadcast: Unknown
net.interface.eth0.ipaddr: Unknown
net.interface.eth0.netmask: Unknown
net.interface.virtio_10_1.broadcast: Unknown
net.interface.virtio_10_1.ipaddr: Unknown
net.interface.virtio_10_1.netmask: Unknown
[root@khong01 ca]# subscription-manager facts --list | grep net.interface.rhevm.ipaddr:
net.interface.rhevm.ipaddr: 10.66.72.180




On xen(version:subscription-manager-0.98.14-1.el5):

[root@13211 ~]# subscription-manager facts --list | grep net.interface.eth0.ipaddr:
net.interface.eth0.ipaddr: 10.66.13.211
[root@13211 ~]# lsmod | grep kvm
[root@13211 ~]# subscription-manager facts --list | grep net.interface.eth0.ipaddr:
net.interface.eth0.ipaddr: 10.66.13.211
[root@13211 ~]# subscription-manager facts --list | grep Unk
dmi.baseboard.product_name: Unknown
dmi.baseboard.version: Unknown
dmi.chassis.asset_tag: Unknown
dmi.memory.type: Unknown
dmi.processor.family: Unknown
net.interface.peth0.broadcast: Unknown
net.interface.peth0.ipaddr: Unknown
net.interface.peth0.netmask: Unknown
net.interface.veth1.broadcast: Unknown
net.interface.veth1.ipaddr: Unknown
net.interface.veth1.netmask: Unknown
net.interface.veth2.broadcast: Unknown
net.interface.veth2.ipaddr: Unknown
net.interface.veth2.netmask: Unknown
net.interface.veth3.broadcast: Unknown
net.interface.veth3.ipaddr: Unknown
net.interface.veth3.netmask: Unknown
net.interface.vif0.0.broadcast: Unknown
net.interface.vif0.0.ipaddr: Unknown
net.interface.vif0.0.netmask: Unknown
net.interface.vif0.1.broadcast: Unknown
net.interface.vif0.1.ipaddr: Unknown
net.interface.vif0.1.netmask: Unknown
net.interface.vif0.2.broadcast: Unknown
net.interface.vif0.2.ipaddr: Unknown
net.interface.vif0.2.netmask: Unknown
net.interface.vif0.3.broadcast: Unknown
net.interface.vif0.3.ipaddr: Unknown
net.interface.vif0.3.netmask: Unknown
net.interface.vif11.0.broadcast: Unknown
net.interface.vif11.0.ipaddr: Unknown
net.interface.vif11.0.netmask: Unknown
net.interface.vif13.0.broadcast: Unknown
net.interface.vif13.0.ipaddr: Unknown
net.interface.vif13.0.netmask: Unknown
net.interface.xenbr0.broadcast: Unknown
net.interface.xenbr0.ipaddr: Unknown
net.interface.xenbr0.netmask: Unknown
Comment 5 Tom McKay 2012-03-20 08:08:33 EDT
Can I get a full dump of all the system facts for the various machines types? The proper way to get the IP is now through ipv4_address and want to add these to our test suite.
Comment 6 Hui Wang 2012-03-20 09:03:09 EDT
(In reply to comment #5)
> Can I get a full dump of all the system facts for the various machines types?

Hi, Tom
The full facts on each system as following:

RHEV-H:
[root@khong01 ~]# subscription-manager facts --list
cpu.core(s)_per_socket: 4
cpu.cpu(s): 4
cpu.cpu_socket(s): 1
distribution.id: 20120202.0
distribution.name: Red Hat Enterprise Virtualization Hypervisor
distribution.version: 5.8
dmi.baseboard.manufacturer: Hewlett-Packard
dmi.baseboard.product_name: 3029h
dmi.baseboard.serial_number: CNG9320100
dmi.baseboard.version: Not Specified
dmi.bios.address: 0xe0000
dmi.bios.bios_revision: 3.4
dmi.bios.relase_date: 02/26/2009
dmi.bios.rom_size: 1024 KB
dmi.bios.runtime_size: 128 KB
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 786F6 v03.04
dmi.chassis.asset_tag: CNG9320100
dmi.chassis.boot-up_state: Safe
dmi.chassis.lock: Not Present
dmi.chassis.manufacturer: Hewlett-Packard
dmi.chassis.power_supply_state: Safe
dmi.chassis.security_status: Unknown
dmi.chassis.serial_number: CNG9320100
dmi.chassis.thermal_state: Safe
dmi.chassis.type: Mini Tower
dmi.chassis.version: Not Specified
dmi.connector.external_connector_type: PS/2
dmi.connector.external_reference_designator: MOUSE
dmi.connector.internal_connector_type: None
dmi.connector.internal_reference_designator: Not Specified
dmi.connector.port_type: Mouse Port
dmi.memory.array_handle: 0x0030
dmi.memory.assettag: Not Specified
dmi.memory.bank_locator: Not Specified
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: None
dmi.memory.error_information_handle: Not Provided
dmi.memory.form_factor: DIMM
dmi.memory.location: System Board Or Motherboard
dmi.memory.locator: XMM1
dmi.memory.manufacturer: JEDEC ID:AD 00 00 00 00 00 00 00
dmi.memory.maximum_capacity: 8 GB
dmi.memory.part_number: HYMP125U64CP8-S6
dmi.memory.serial_number: 54B9705E
dmi.memory.size: 2048 MB
dmi.memory.speed: 800 MHz (1.2ns)
dmi.memory.total_width: 64 bit
dmi.memory.type: DDR2
dmi.memory.use: System Memory
dmi.processor.asset_tag: Not Specified
dmi.processor.family: Phenom X4
dmi.processor.l1_cache_handle: 0x0006
dmi.processor.l2_cache_handle: 0x0007
dmi.processor.l3_cache_handle: 0x0008
dmi.processor.part_number: Not Specified
dmi.processor.serial_number: Not Specified
dmi.processor.socket_designation: XU1 PROCESSOR
dmi.processor.status: Populated:Enabled
dmi.processor.type: Central Processor
dmi.processor.upgrade: Unknown
dmi.processor.version: AMD Phenom(tm) 9600B Quad-Core Processor
dmi.processor.voltage: 1.5 V
dmi.slot.current_usage: Available
dmi.slot.designation: PCI EXPRESS x16 SLOT (PCIEx16)
dmi.slot.slotid: 1
dmi.slot.slotlength: Long
dmi.slot.type:slotbuswidth: x16
dmi.slot.type:slottype: PCI Express
dmi.system.family: 103C_53307F
dmi.system.manufacturer: Hewlett-Packard
dmi.system.product_name: HP Compaq dc5850 Microtower
dmi.system.serial_number: CNG9320100
dmi.system.sku_number: AJ456AV
dmi.system.status: No errors detected
dmi.system.uuid: 3d3bf467-9f75-de11-bbd8-217aff5d0024
dmi.system.version: Unknown
dmi.system.wake-up_type: Power Switch
memory.memtotal: 7772216
memory.swaptotal: 8081400
net.interface.bond0.broadcast: Unknown
net.interface.bond0.hwaddr: 00:00:00:00:00:00
net.interface.bond0.ipaddr: Unknown
net.interface.bond0.netmask: Unknown
net.interface.bond1.broadcast: Unknown
net.interface.bond1.hwaddr: 00:00:00:00:00:00
net.interface.bond1.ipaddr: Unknown
net.interface.bond1.netmask: Unknown
net.interface.bond2.broadcast: Unknown
net.interface.bond2.hwaddr: 00:00:00:00:00:00
net.interface.bond2.ipaddr: Unknown
net.interface.bond2.netmask: Unknown
net.interface.bond3.broadcast: Unknown
net.interface.bond3.hwaddr: 00:00:00:00:00:00
net.interface.bond3.ipaddr: Unknown
net.interface.bond3.netmask: Unknown
net.interface.bond4.broadcast: Unknown
net.interface.bond4.hwaddr: 00:00:00:00:00:00
net.interface.bond4.ipaddr: Unknown
net.interface.bond4.netmask: Unknown
net.interface.breth0.broadcast: Unknown
net.interface.breth0.hwaddr: 00:00:00:00:00:00
net.interface.breth0.ipaddr: Unknown
net.interface.breth0.netmask: Unknown
net.interface.eth0.broadcast: Unknown
net.interface.eth0.hwaddr: 00:24:21:7a:ff:5d
net.interface.eth0.ipaddr: Unknown
net.interface.eth0.netmask: Unknown
net.interface.lo.broadcast: 0.0.0.0
net.interface.lo.hwaddr: 00:00:00:00:00:00
net.interface.lo.ipaddr: 127.0.0.1
net.interface.lo.netmask: 255.0.0.0
net.interface.rhevm.broadcast: 10.66.73.255
net.interface.rhevm.hwaddr: 00:24:21:7a:ff:5d
net.interface.rhevm.ipaddr: 10.66.72.180
net.interface.rhevm.netmask: 255.255.254.0
net.interface.virtio_10_1.broadcast: Unknown
net.interface.virtio_10_1.hwaddr: fe:1a:4a:a8:7a:01
net.interface.virtio_10_1.ipaddr: Unknown
net.interface.virtio_10_1.netmask: Unknown
network.hostname: khong01
network.ipaddr: 127.0.0.1
system.entitlements_valid: valid
system.name: khong01
system.uuid: dd5b1470-e3e9-46d3-bd2d-1b56f8c4c0cd
uname.machine: x86_64
uname.nodename: khong01
uname.release: 2.6.18-308.el5
uname.sysname: Linux
uname.version: #1 SMP Fri Jan 27 17:17:51 EST 2012
virt.host_type: Not Applicable
virt.is_guest: False

====================================
Xen:
[root@13211 ~]# subscription-manager facts --list
cpu.core(s)_per_socket: 1
cpu.cpu(s): 8
cpu.cpu_socket(s): 8
distribution.id: Tikanga
distribution.name: Red Hat Enterprise Linux Server
distribution.version: 5.8
dmi.baseboard.manufacturer: LENOVO
dmi.baseboard.product_name: Unknown
dmi.baseboard.serial_number: INVALID
dmi.baseboard.version: Unknown
dmi.bios.address: 0xf0000
dmi.bios.bios_revision: 0.43
dmi.bios.relase_date: 07/11/2011
dmi.bios.rom_size: 2560 KB
dmi.bios.runtime_size: 64 KB
dmi.bios.vendor: LENOVO
dmi.bios.version: 9HKT43AUS
dmi.chassis.asset_tag: Unknown
dmi.chassis.boot-up_state: Safe
dmi.chassis.lock: Not Present
dmi.chassis.manufacturer: To Be Filled By O.E.M.
dmi.chassis.power_supply_state: Safe
dmi.chassis.security_status: None
dmi.chassis.serial_number: NA16103604
dmi.chassis.thermal_state: Safe
dmi.chassis.type: Desktop
dmi.chassis.version: To Be Filled By O.E.M.
dmi.connector.external_connector_type: RJ-45
dmi.connector.external_reference_designator: LAN
dmi.connector.internal_connector_type: None
dmi.connector.internal_reference_designator: J5A1
dmi.connector.port_type: Network Port
dmi.memory.array_handle: 0x001b
dmi.memory.assettag: A1_AssetTagNum3
dmi.memory.bank_locator: A1_BANK3
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: None
dmi.memory.error_information_handle: No Error
dmi.memory.form_factor: DIMM
dmi.memory.location: System Board Or Motherboard
dmi.memory.locator: A1_DIMM3
dmi.memory.manufacturer: Undefined
dmi.memory.maximum_capacity: 32 GB
dmi.memory.part_number: RMR1810EC58E8F1333
dmi.memory.serial_number: 41B83733
dmi.memory.size: 2048 MB
dmi.memory.speed: 1333 MHz (0.8ns)
dmi.memory.total_width: 64 bit
dmi.memory.type: Unknown
dmi.memory.use: System Memory
dmi.processor.asset_tag: To Be Filled By O.E.M.
dmi.processor.family: Unknown
dmi.processor.l1_cache_handle: 0x0005
dmi.processor.l2_cache_handle: 0x0006
dmi.processor.l3_cache_handle: 0x0007
dmi.processor.part_number: To Be Filled By O.E.M.
dmi.processor.serial_number: To Be Filled By O.E.M.
dmi.processor.socket_designation: CPU 1
dmi.processor.status: Populated:Enabled
dmi.processor.type: Central Processor
dmi.processor.upgrade: Other
dmi.processor.version: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
dmi.processor.voltage: 0.0 V
dmi.slot.current_usage: Available
dmi.slot.designation: J6D1
dmi.slot.slotid: 33
dmi.slot.slotlength: Long
dmi.slot.type:slotbuswidth: 32-bit
dmi.slot.type:slottype: PCI
dmi.system.family: To be filled by O.E.M.
dmi.system.manufacturer: LENOVO
dmi.system.product_name: ThinkCentre M8300T
dmi.system.serial_number: NA16103604
dmi.system.sku_number: To be filled by O.E.M.
dmi.system.status: No errors detected
dmi.system.uuid: C4DA0198-2D99-44DB-973E-DB703148DB9C
dmi.system.version: Lenovo Product
dmi.system.wake-up_type: Power Switch
memory.memtotal: 6429696
memory.swaptotal: 10027000
net.interface.eth0.broadcast: 10.66.13.255
net.interface.eth0.hwaddr: 44:37:e6:61:35:c9
net.interface.eth0.ipaddr: 10.66.13.211
net.interface.eth0.netmask: 255.255.254.0
net.interface.lo.broadcast: 0.0.0.0
net.interface.lo.hwaddr: 00:00:00:00:00:00
net.interface.lo.ipaddr: 127.0.0.1
net.interface.lo.netmask: 255.0.0.0
net.interface.peth0.broadcast: Unknown
net.interface.peth0.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.peth0.ipaddr: Unknown
net.interface.peth0.netmask: Unknown
net.interface.veth1.broadcast: Unknown
net.interface.veth1.hwaddr: 00:00:00:00:00:00
net.interface.veth1.ipaddr: Unknown
net.interface.veth1.netmask: Unknown
net.interface.veth2.broadcast: Unknown
net.interface.veth2.hwaddr: 00:00:00:00:00:00
net.interface.veth2.ipaddr: Unknown
net.interface.veth2.netmask: Unknown
net.interface.veth3.broadcast: Unknown
net.interface.veth3.hwaddr: 00:00:00:00:00:00
net.interface.veth3.ipaddr: Unknown
net.interface.veth3.netmask: Unknown
net.interface.vif0.0.broadcast: Unknown
net.interface.vif0.0.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.vif0.0.ipaddr: Unknown
net.interface.vif0.0.netmask: Unknown
net.interface.vif0.1.broadcast: Unknown
net.interface.vif0.1.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.vif0.1.ipaddr: Unknown
net.interface.vif0.1.netmask: Unknown
net.interface.vif0.2.broadcast: Unknown
net.interface.vif0.2.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.vif0.2.ipaddr: Unknown
net.interface.vif0.2.netmask: Unknown
net.interface.vif0.3.broadcast: Unknown
net.interface.vif0.3.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.vif0.3.ipaddr: Unknown
net.interface.vif0.3.netmask: Unknown
net.interface.vif11.0.broadcast: Unknown
net.interface.vif11.0.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.vif11.0.ipaddr: Unknown
net.interface.vif11.0.netmask: Unknown
net.interface.vif13.0.broadcast: Unknown
net.interface.vif13.0.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.vif13.0.ipaddr: Unknown
net.interface.vif13.0.netmask: Unknown
net.interface.virbr0.broadcast: 192.168.122.255
net.interface.virbr0.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.virbr0.ipaddr: 192.168.122.1
net.interface.virbr0.netmask: 255.255.255.0
net.interface.xenbr0.broadcast: Unknown
net.interface.xenbr0.hwaddr: fe:ff:ff:ff:ff:ff
net.interface.xenbr0.ipaddr: Unknown
net.interface.xenbr0.netmask: Unknown
network.hostname: 13211
network.ipaddr: 0.0.51.155
system.entitlements_valid: invalid
system.name: 13211
system.uuid: 483070c9-077f-485d-8c93-d5d2d1574ff2
uname.machine: x86_64
uname.nodename: 13211
uname.release: 2.6.18-308.el5xen
uname.sysname: Linux
uname.version: #1 SMP Fri Jan 27 17:26:57 EST 2012
virt.host_type: xen
xen-dom0
virt.is_guest: False


RHEL6.3:
[root@localhost ~]# subscription-manager facts --list
cpu.core(s)_per_socket: 4
cpu.cpu(s): 4
cpu.cpu_socket(s): 1
distribution.id: Santiago
distribution.name: Red Hat Enterprise Linux Server
distribution.version: 6.3
dmi.baseboard.manufacturer: LENOVO
dmi.baseboard.product_name: Unknown
dmi.baseboard.serial_number: INVALID
dmi.baseboard.version: Unknown
dmi.bios.address: 0xf0000
dmi.bios.bios_revision: 0.41
dmi.bios.relase_date: 05/16/2011
dmi.bios.rom_size: 2560 KB
dmi.bios.runtime_size: 64 KB
dmi.bios.vendor: LENOVO
dmi.bios.version: 9HKT41AUS
dmi.chassis.asset_tag: Unknown
dmi.chassis.boot-up_state: Safe
dmi.chassis.lock: Not Present
dmi.chassis.manufacturer: To Be Filled By O.E.M.
dmi.chassis.power_supply_state: Safe
dmi.chassis.security_status: None
dmi.chassis.serial_number: R8YF3X2
dmi.chassis.thermal_state: Safe
dmi.chassis.type: Tower
dmi.chassis.version: To Be Filled By O.E.M.
dmi.connector.external_connector_type: RJ-45
dmi.connector.external_reference_designator: LAN
dmi.connector.internal_connector_type: None
dmi.connector.internal_reference_designator: J5A1
dmi.connector.port_type: Network Port
dmi.memory.array_handle: 0x001b
dmi.memory.assettag: A1_AssetTagNum3
dmi.memory.bank_locator: A1_BANK3
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: Single-bit ECC
dmi.memory.error_information_handle: No Error
dmi.memory.form_factor: DIMM
dmi.memory.location: System Board Or Motherboard
dmi.memory.locator: A1_DIMM3
dmi.memory.manufacturer: Samsung
dmi.memory.maximum_capacity: 32 GB
dmi.memory.part_number: M391B5273CH0-CH9
dmi.memory.serial_number: 0B024ED3
dmi.memory.size: 4096 MB
dmi.memory.speed: 1333 MHz (0.8ns)
dmi.memory.total_width: 72 bit
dmi.memory.type: Unknown
dmi.memory.use: System Memory
dmi.processor.asset_tag: To Be Filled By O.E.M.
dmi.processor.family: Xeon
dmi.processor.l1_cache_handle: 0x0005
dmi.processor.l2_cache_handle: 0x0006
dmi.processor.l3_cache_handle: 0x0007
dmi.processor.part_number: To Be Filled By O.E.M.
dmi.processor.serial_number: To Be Filled By O.E.M.
dmi.processor.socket_designation: CPU 1
dmi.processor.status: Populated:Enabled
dmi.processor.type: Central Processor
dmi.processor.upgrade: Other
dmi.processor.version: Intel(R) Xeon(R) CPU E31225 @ 3.10GHz
dmi.processor.voltage: 0.0 V
dmi.slot.current_usage: Available
dmi.slot.designation: J6D1
dmi.slot.slotid: 33
dmi.slot.slotlength: Long
dmi.slot.type:slotbuswidth: 32-bit
dmi.slot.type:slottype: PCI
dmi.system.family: To be filled by O.E.M.
dmi.system.manufacturer: LENOVO
dmi.system.product_name: 7783BA8
dmi.system.serial_number: R8YF3X2
dmi.system.sku_number: To be filled by O.E.M.
dmi.system.status: No errors detected
dmi.system.uuid: B6426547-9749-5643-51B4-4386192343B2
dmi.system.version: ThinkStation E30
dmi.system.wake-up_type: Power Switch
lscpu.architecture: x86_64
lscpu.bogomips: 6185.15
lscpu.byte_order: Little Endian
lscpu.core(s)_per_socket: 4
lscpu.cpu(s): 4
lscpu.cpu_family: 6
lscpu.cpu_mhz: 1600.000
lscpu.cpu_op-mode(s): 32-bit, 64-bit
lscpu.cpu_socket(s): 1
lscpu.l1d_cache: 32K
lscpu.l1i_cache: 32K
lscpu.l2_cache: 256K
lscpu.l3_cache: 6144K
lscpu.model: 42
lscpu.numa_node(s): 1
lscpu.numa_node0_cpu(s): 0-3
lscpu.on-line_cpu(s)_list: 0-3
lscpu.stepping: 7
lscpu.thread(s)_per_core: 1
lscpu.vendor_id: GenuineIntel
lscpu.virtualization: VT-x
memory.memtotal: 7883412
memory.swaptotal: 8028152
net.interface.br0.ipv4_address: 10.66.6.208
net.interface.br0.ipv4_broadcast: 10.66.7.255
net.interface.br0.ipv4_netmask: 22
net.interface.br0.ipv6_address.link: fe80::4637:e6ff:fe6a:7e9f
net.interface.br0.ipv6_netmask.link: 64
net.interface.br0.mac_address: 44:37:E6:6A:7E:9F
net.interface.eth0.ipv4_address: Unknown
net.interface.eth0.ipv4_broadcast: Unknown
net.interface.eth0.ipv4_netmask: Unknown
net.interface.eth0.mac_address: 44:37:E6:6A:7E:9F
net.interface.lo.ipv4_address: 127.0.0.1
net.interface.lo.ipv4_broadcast: Unknown
net.interface.lo.ipv4_netmask: 8
net.interface.lo.ipv6_address.host: ::1
net.interface.lo.ipv6_netmask.host: 128
net.interface.lo.mac_address: 00:00:00:00:00:00
net.interface.virbr0-nic.ipv4_address: Unknown
net.interface.virbr0-nic.ipv4_broadcast: Unknown
net.interface.virbr0-nic.ipv4_netmask: Unknown
net.interface.virbr0-nic.mac_address: 52:54:00:38:C3:2E
net.interface.virbr0.ipv4_address: 192.168.122.1
net.interface.virbr0.ipv4_broadcast: 192.168.122.255
net.interface.virbr0.ipv4_netmask: 24
net.interface.virbr0.mac_address: 52:54:00:38:C3:2E
network.hostname: localhost.localdomain
network.ipv4_address: 127.0.0.1
network.ipv6_address: 127.0.0.1
system.entitlements_valid: valid
system.name: localhost.localdomain
system.uuid: 6bc4fa30-b620-47d8-88e5-a3784701a02c
uname.machine: x86_64
uname.nodename: localhost.localdomain
uname.release: 2.6.32-251.el6.x86_64
uname.sysname: Linux
uname.version: #1 SMP Fri Mar 9 12:48:43 EST 2012
virt.host_type: Not Applicable
virt.is_guest: False


ESX:
Can't list the facts. I am not sure if the ip can be got from vcenter.
Any comments about SAM webUI displaying of ESX hostname, system name, and IP?

> The proper way to get the IP is now through ipv4_address and want to add these
> to our test suite.
Comment 7 Tom McKay 2012-04-30 14:21:01 EDT
commit 0263eebb1745fbdd1606617f8b7cbd45dfe32c4d
Comment 8 Tazim Kolhar 2012-05-04 03:05:58 EDT
Created attachment 582044 [details]
SAM UI displays IPaddress as unknown for registered system fixed

VERIFIED with the build :

[root@tyan-gt24-12 ~]# rpm -qa | grep katello
katello-configure-0.3.1-2.el6_2.noarch
katello-selinux-0.1.10-1.el6.noarch
katello-cli-headpin-0.2.0-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-upgrade-0.3.1-2.el6_2.noarch
katello-cli-common-0.3.1-1.el6_2.noarch
katello-glue-candlepin-0.3.0-2.el6_2.noarch
katello-certs-tools-1.0.6-1.el6.noarch
katello-headpin-0.2.4-3.el6_2.noarch
katello-common-0.3.0-2.el6_2.noarch
katello-headpin-all-0.2.4-3.el6_2.noarch


This issue has been fixed .
Comment 10 Eric Sammons 2012-08-21 14:24:50 EDT
Bumping this to sam-1.2 as I see in current testing of sam-1.1 that in fact IP is still blank when a system w/ a valid ip is registered.
Comment 11 Eric Sammons 2012-08-22 09:27:14 EDT
Closed WONTFIX for SAM-1.1, this issue will be addressed in SAM-1.2 by moving the IP information into the system details.

Note You need to log in before you can comment on or make changes to this bug.